PhraseStructure (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph
Interface PhraseStructure

All Superinterfaces:
  LabeledStructure, SecEdgeStructure, Structure, TokenStructure

All Known Implementing Classes:
  MappablePhraseStructureGraph, PhraseStructureGraph

    public interface PhraseStructure

extends TokenStructure, SecEdgeStructure

Author:
  Johan Hall

Method Summary
`PhraseStructureNode` | `addNonTerminalNode()`
`PhraseStructureNode` | `addNonTerminalNode(int index)`
`Edge` | `addPhraseStructureEdge(PhraseStructureNode source, PhraseStructureNode target)`
`PhraseStructureNode` | `addTerminalNode()`
`PhraseStructureNode` | `addTerminalNode(int index)`
`int` | `getHighestNonTerminalIndex()`
`Set<Integer>` | `getNonTerminalIndices()`
`PhraseStructureNode` | `getNonTerminalNode(int index)`
`PhraseStructureNode` | `getPhraseStructureRoot()`
`PhraseStructureNode` | `getTerminalNode(int index)`
`boolean` | `hasNonTerminals()`
`boolean` | `isContinuous()`
`boolean` | `isContinuousExcludeTerminalsAttachToRoot()`
`int` | `nEdges()`
`int` | `nNonTerminals()`
`int` | `nTerminalNode()`
`void` | `removePhraseStructureEdge(PhraseStructureNode source, PhraseStructureNode target)`

Methods inherited from interface org.maltparser.core.syntaxgraph.TokenStructure
`addTokenNode, addTokenNode, getHighestTokenIndex, getSentenceID, getTokenIndices, getTokenNode, hasTokens, nTokenNode, setSentenceID`

Methods inherited from interface org.maltparser.core.syntaxgraph.Structure
`clear`

Methods inherited from interface org.maltparser.core.syntaxgraph.LabeledStructure
`addLabel, checkInLabelSet, checkOutNewLabelSet, getSymbolTables, setSymbolTables`

Methods inherited from interface org.maltparser.core.syntaxgraph.SecEdgeStructure
`addSecondaryEdge, removeSecondaryEdge`

Method Detail

### addTerminalNode

    PhraseStructureNode addTerminalNode()
                                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### addTerminalNode

    PhraseStructureNode addTerminalNode(int index)
                                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getTerminalNode

    PhraseStructureNode getTerminalNode(int index)

### nTerminalNode

    int nTerminalNode()

### addPhraseStructureEdge

    Edge addPhraseStructureEdge(PhraseStructureNode source,
                                PhraseStructureNode target)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### removePhraseStructureEdge

    void removePhraseStructureEdge(PhraseStructureNode source,
                                   PhraseStructureNode target)
                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### nEdges

    int nEdges()

### getPhraseStructureRoot

    PhraseStructureNode getPhraseStructureRoot()

### getNonTerminalNode

    PhraseStructureNode getNonTerminalNode(int index)
                                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### addNonTerminalNode

    PhraseStructureNode addNonTerminalNode()
                                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### addNonTerminalNode

    PhraseStructureNode addNonTerminalNode(int index)
                                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHighestNonTerminalIndex

    int getHighestNonTerminalIndex()

### getNonTerminalIndices

    Set<Integer> getNonTerminalIndices()

### hasNonTerminals

    boolean hasNonTerminals()

### nNonTerminals

    int nNonTerminals()

### isContinuous

    boolean isContinuous()

### isContinuousExcludeTerminalsAttachToRoot

    boolean isContinuousExcludeTerminalsAttachToRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.